# Working with Kubernetes configuration file test results (current IaC)

{% hint style="info" %}
This page applies to current IaC only.
{% endhint %}

After you have imported your configuration file, Snyk continuously monitors the repository for any related changes, re-testing your file at regular intervals based on the configurations in your settings. Recommendations are based on the relevant settings that your administrator configures and manages. See [Configure integration to find security issues in Kubernetes configuration files](../../../scan-infrastructure/snyk-infrastructure-as-code/scan-kubernetes-configuration-files/configure-integration-for-security-issues-in-kubernetes-configuration-files.md).

Click the Project link to view test results and resolve any misconfigurations that may pose security issues.

The results page looks similar to the following:

<figure><img src="../../../.gitbook/assets/image (127) (1) (2).png" alt="Kubernetes Project detail"><figcaption><p>Kubernetes Project detail</p></figcaption></figure>
